package com.ruoyi.bst.storeStaff.service;

import java.util.List;
import com.ruoyi.bst.storeStaff.domain.StoreStaff;
import com.ruoyi.bst.storeStaff.domain.StoreStaffVO;
import com.ruoyi.bst.storeStaff.domain.StoreStaffQuery;

/**
 * 员工运维Service接口
 *
 * @author ruoyi
 * @date 2025-05-15
 */
public interface StoreStaffService
{
    /**
     * 查询员工运维
     *
     * @param id 员工运维主键
     * @return 员工运维
     */
    public StoreStaffVO selectStoreStaffById(Long id, boolean scope);

    default StoreStaffVO selectStoreStaffById(Long id) {
        return selectStoreStaffById(id, false);
    }

    /**
     * 查询一个运维信息
     *
     * @param query 加盟信息查询条件
     * @return 加盟信息
     */
    public StoreStaffVO selectOne(StoreStaffQuery query);

    /**
     * 查询员工运维列表
     *
     * @param storeStaff 员工运维
     * @return 员工运维集合
     */
    public List<StoreStaffVO> selectStoreStaffList(StoreStaffQuery storeStaff);

    /**
     * 新增员工运维
     *
     * @param storeStaff 员工运维
     * @return 结果
     */
    public int insertStoreStaff(StoreStaff storeStaff);

    /**
     * 修改员工运维
     *
     * @param storeStaff 员工运维
     * @return 结果
     */
    public int updateStoreStaff(StoreStaff storeStaff);

    /**
     * 批量删除员工运维
     *
     * @param ids 需要删除的员工运维主键集合
     * @return 结果
     */
    public int deleteStoreStaffByIds(Long[] ids);

    /**
     * 删除员工运维信息
     *
     * @param id 员工运维主键
     * @return 结果
     */
    public int deleteStoreStaffById(Long id);
}
